﻿using System.Collections.ObjectModel;
using System.Windows.Controls;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		ObservableCollection<MenuItem> items;

		public MainPage()
		{
			InitializeComponent();

			items = new ObservableCollection<MenuItem>();
			this.DataContext = items;

			for (int i = 1; i <= 3; i++)
			{
				var item = new MenuItem()
				{
					Text = "Item " + i.ToString(),
					ImageUrl = string.Format("Images/{0}.png", i)
				};

				items.Add(item);
				for (int j = 1; j <= 3; j++)
				{
					var child = new MenuItem()
					{
						Text = string.Format("Item {0}.{1}", i, j),
						ImageUrl = string.Format("Images/{0}.png", j + 3)
					};

					item.Items.Add(child);
				}
			}			
		}

		private void Button_Click(object sender, System.Windows.RoutedEventArgs e)
		{
			items[0].Items.Clear();
		}
	}
}